Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query.plan
Class QueryNode

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode

Direct Known Subclasses:
  Container, LogicalQueryNode, PhysicalQueryNode

public abstract class QueryNode
extends java.lang.Object

QueryNode represents a node in a QueryPlan. QueryPlan nodes can ultimately be Logical or Physical. But the framework consolidates common functions, such as group into the main package.

Constructor Summary
`QueryNode()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryNode

    public QueryNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group